.popup {
  position: fixed;
  left: 0;
  top: 0;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  padding: 40px 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.5);
  overflow-x: hidden;
  overflow-y: scroll;
  z-index: 10;
}
.popup_centralized {
  align-items: center;
}
.popup__close-button {
  position: absolute;
  right: 8px;
  top: 8px;
  cursor: pointer;
  border: none;
  background: none;
}
.popup__wrapper {
  position: relative;
  padding: 40px;
  /* max-width: calc(100% - 20px); */
  background: #fff;
}
.popup__content {
  max-width: 100%;
}
.popup_hidden {
  display: none;
}
.popup_fade_in {
  animation: show 0.3s ease-in-out forwards;
}
.popup_fade_out {
  animation: hide 0.3s ease-in-out forwards;
}

@keyframes show {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
@keyframes hide {
  from {
    opacity: 1;
  }
  to {
    z-index: -1;
    opacity: 0;
  }
}

.events__day-group:not(:last-child) {
  margin: 0 0 56px;
}

.day-group__title:not(:last-child),
.day-group__event:not(:last-child) {
  margin: 0 0 24px;
}

.day-group__title {
  display: block;
  padding: 16px 24px;
  font: 24px/32px "Open Sans", Arial, Tahoma, sans-serif;
  color: #333;
  background: #f7fafc;
}

/* Картка заходу */

.event {
  padding: 24px 24px 24px 98px;
  background: url("../img/icons-events/education-gray.svg") no-repeat 30px 24px / 50px, #f7fafc;
}

.event__header {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

.event__short-info-container {
  display: flex;
  width: 100%;
}

.event__short-info-container > * {
  flex: 1 1 50%;
}

.event__title-container {
  padding: 0 50px 0 0;
}

.event__title {
  font: 600 18px/22px Raleway, sans-serif, Arial;
  color: #3776b6;
}

.event__short-info {
  padding: 0 0 0 24px;
}

.event__time {
  margin: 0 0 8px;
}

/* Details */

.details {
  margin: 14px 0 0;
}

.details_mobile {
  display: none;
}

.details[open] .details__title::before {
  transform: rotate(180deg);
}

.details__title {
  position: relative;
  display: inline;
  padding: 0 26px 0 0;
  font: 600 16px/22px "Open Sans", Arial, Tahoma, sans-serif;
  color: #3776b6;
  outline: none;
  user-select: none;
  cursor: pointer;
}

.details__title::before {
  content: "";
  position: absolute;
  right: 0;
  width: 24px;
  height: 24px;
  background: url("../img/arrow-down.svg") no-repeat center;
}

.details__title::-webkit-details-marker {
  display: none;
}

.details__paragraph {
  margin: 28px 0 0;
  line-height: 24px;
}

.details__paragraph_first {
  margin: 12px 0 0;
}

/* Mobile */

@media only screen and (max-width: 768px) {
  .events__day-group:not(:last-child) {
    margin-bottom: 40px;
  }

  .button {
    width: 100%;
  }

  .day-group__title {
    padding: 16px;
    font: 16px/22px "Open Sans", Arial, Tahoma, sans-serif;
  }

  .day-group__title:not(:last-child),
  .day-group__event:not(:last-child) {
    margin-bottom: 16px;
  }

  .event {
    padding: 78px 16px 16px;
    background-position: 16px 16px;
  }

  .event__header {
    flex-flow: wrap;
  }

  .event__short-info-container {
    flex-flow: wrap-reverse;
  }

  .event__title-container {
    padding: 0;
  }

  .event__title,
  .event__short-info {
    flex: 1 0 100%;
    padding: 0;
  }

  .event__title {
    display: none;
  }

  .event__title_mobile {
    display: block;
    min-height: 44px;
  }

  .event__short-info {
    margin: 0 0 8px;
  }

  .event__time {
    margin-bottom: 6px;
  }

  .details {
    display: none;
  }

  .details_mobile {
    display: block;
    margin: 0 16px 12px;
  }

  .details_mobile[open] {
    margin-bottom: 16px;
  }

  .details__title {
    width: 100%;
  }

  .details__paragraph {
    margin-top: 22px;
  }

  .details__paragraph_first {
    margin-top: 12px;
  }
}

.no-events-message {
  margin-top: 32px;
  text-align: center;
}
